Alembic Version 1.1

Loading...
Searching...
No Matches
Foundation.h File Reference
`#include <Alembic/Abc/All.h>`
`#include <ImathMatrixAlgo.h>`
`#include <ImathEuler.h>`
Include dependency graph for Foundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Enumerations
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::MeshTopologyVariance { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kConstantTopology = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kHomogenousTopology = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kHomogeneousTopology = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kHeterogenousTopology = 2 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kHeterogeneousTopology = 2 }
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformOperationType { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kScaleOperation = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kTranslateOperation = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateOperation = 2 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kMatrixOperation = 3 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateXOperation = 4 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateYOperation = 5 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateZOperation = 6 }
| Enum that indicates the type of transformational operation. This enum is used when encoding and decoding the transform operation data. More...
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOperationType { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kScaleFilmBackOperation = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kTranslateFilmBackOperation = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kMatrixFilmBackOperation = 2 }
| Enum that indicates the type of 2d operation for cameras. This enum is used when encoding and decoding the 2d filmback data for cameras. More...

## Functions
template<class PROP, class SAMP>
void | Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull (PROP iProp, SAMP iSamp)
template<>
void | Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OWstringProperty, Alembic::Util::wstring > (Abc::OWstringProperty iProp, Alembic::Util::wstring iSamp)
template<>
void | Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OBox3dProperty, Abc::Box3d > (Abc::OBox3dProperty iProp, Abc::Box3d iSamp)
template<class ARRAYSAMP>
static Abc::Box3d | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ComputeBoundsFromPositions (const ARRAYSAMP &iSamp)
double | Alembic::AbcGeom::ALEMBIC_VERSION_NS::DegreesToRadians (double iDegrees)
| used in xform rotation conversion
double | Alembic::AbcGeom::ALEMBIC_VERSION_NS::RadiansToDegrees (double iRadians)
bool | Alembic::AbcGeom::ALEMBIC_VERSION_NS::IsGeomParam (const AbcA::PropertyHeader &iHeader)
| A couple simple tests for if something is a GeomParam.